#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xxHash
Version		:	0.8.1
Release		:	16.2.0.rel%{?dist}
Summary		:	Extremely fast hash algorithm

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD and GPLv2+
URL		:	https://github.com/Cyan4973/xxHash

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc

#-----------------------------------------------------------------------------
%description
'%{name}' is an Extremely fast Hash algorithm, running at RAM speed
limits. It successfully completes the SMHasher test suite which
evaluates collision, dispersion and randomness qualities of hash
functions. Code is highly portable, and hashes are identical on all
platforms (little / big endian).
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{_bindir}/xxh*sum
%{_mandir}/man1/xxh*sum.1.gz

#=============================================================================
%package		libs
Summary		:	Extremely fast hash algorithm - library

License		:	BSD

#-----------------------------------------------------------------------------
%description		 libs
'%{name}' is an Extremely fast Hash algorithm, running at RAM speed
limits. It successfully completes the SMHasher test suite which
evaluates collision, dispersion and randomness qualities of hash
functions. Code is highly portable, and hashes are identical on all
platforms (little / big endian).

#-----------------------------------------------------------------------------
%files			libs
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{_libdir}/libxxhash.so.*

#=============================================================================
%package		devel
Summary		:	Extremely fast hash algorithm - development files

License		:	BSD

#-----------------------------------------------------------------------------
Requires	:	%{name}-libs	=	%{version}-%{release}

#-----------------------------------------------------------------------------
%description		 devel
Development files for the xxhash librar

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/xxhash.h
%{_includedir}/xxh3.h
%{_libdir}/libxxhash.so
%{_libdir}/pkgconfig/libxxhash.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	PREFIX=%{_prefix}				\
	LIBDIR=%{_libdir}				\
	install						\

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.a					\
	-delete

#-----------------------------------------------------------------------------
%changelog
